Subject: Re: Customer Service Advisor - Work From Home - Phone Support - Charity Gay Guba applied on Indeed
From: "Charity Gay Guba" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Sat, 15 Oct 2022 21:42:18 -0500 (CDT)

Good day! Acknowledging receipt of your email/message. Thank you. Please be informed that my passport has expired and I still have to renew it. I will need about three (3) weeks to accomplish it due to the large number of applicants who booked for an appointment on a first- come-first-served basis via the Department of Foreign Affairs Online Appointment System. In this regard, may I please be given ample time to renew my passport? If there may be any other option which you could recommend, please do so. I would be delighted to work on it. Thank you so much for your kind understanding, and best regards. Charity Gay Guba

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3Ce8a88708-3997-45c5-bec8-85498197076a%40indeedemail.com%3E&hl=en_PH&co=PH>

Indeed processes and analyzes your activity in this email.

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.